/*** STANDARD CLASS ***/
.clear { clear: both; }
.tocenter { text-align: center; }
.toright { text-align: right; }
.toleft { text-align: left; }
.fright { float: right; }
.fleft { float: left; }
.hand { cursor: pointer; }
.strike { text-decoration: line-through; }
.mbottom { margin-bottom: 15px; }
.vcenter { padding: 0; }
.hide { display: none; }
figure { display: block; margin: 0; padding: 0; }

/*** ATTRIBUTES OFF ***/
.nobg, table.nobg, table.nobg tr td, tr.nobg td, td.nobg { background: none; }
.nopad, td.nopad, tr.nopad td { padding: 0; }
.nomarg, td.nomarg, tr.nomarg td { margin: 0; }
.nobr { white-space: nowrap; }

/*** ALERT ***/
div.alert, div.alert-ok, div.alert-info { padding: 10px 20px 10px 93px; max-width: 380px; min-height: 70px; margin: 5px auto; font-size: 12px; text-align: justify; border-radius: 20px; -moz-border-radius: 20px; -khtml-border-radius: 20px; -webkit-border-radius: 20px; }
div.alert { background: rgba(255,255,255,0.5) url(../images/xform/alert-reject.png) no-repeat 20px 10px; border: 2px solid #AC0000; }
div.alert h1 { color: #AC0000; margin: 0; font-size: 16px; border: none; }
div.alert-ok { background: rgba(255,255,255,0.5) url(../images/xform/alert-ok.png) no-repeat 20px 10px; border: 2px solid #00AC00; }
div.alert-ok h1 { color: #00AC00; margin: 0; font-size: 16px; border: none; }
div.alert-info { background: rgba(255,255,255,0.5) url(../images/xform/alert-info.png) no-repeat 20px 10px; border: 2px solid #0033AC; }
div.alert-info h1 { color: #0033AC; margin: 0; font-size: 16px; border: none; }
div.alert2, div.alert2-ok, div.alert2-info { padding: 10px 20px 10px 73px; max-width: 400px; margin: 5px auto; min-height: 35px; font-size: 12px; text-align: justify; border-radius: 20px; -moz-border-radius: 20px; -khtml-border-radius: 20px; -webkit-border-radius: 20px; }
div.alert2 { background: rgba(255,255,255,0.5) url(../images/xform/alert-reject-mini.png) no-repeat 20px 10px; border: 2px solid #AC0000; }
div.alert2 h1 { color: #AC0000; margin: 0; font-size: 14px; border: none; }
div.alert2-ok { background: rgba(255,255,255,0.5) url(../images/xform/alert-ok-mini.png) no-repeat 20px 10px; border: 2px solid #00AC00; }
div.alert2-ok h1 { color: #00AC00; margin: 0; font-size: 14px; border: none; }
div.alert2-info { background: rgba(255,255,255,0.5) url(../images/xform/alert-info-mini.png) no-repeat 20px 10px; border: 2px solid #0033AC; }
div.alert2-info h1 { color: #0033AC; margin: 0; font-size: 14px; border: none; }

/*** AJAX ***/
div#ajaxProgressOverlay { position: fixed; left: 0; top: 0; width: 100%; height: 100%; z-index: 9999; background: none; transition: background 0.2s linear; }
div#ajaxProgressOverlay.wait { background: rgba(255,255,255,0.5);  }
div#ajaxProgressBox { display: none; position: fixed; z-index: 10000; width: 160px; margin: 0; padding: 10px 30px; background: rgba(255, 255, 255, 0.7) url(../images/admin/loader.gif) no-repeat 20px center; border: 2px solid #0C93CA; text-align: center; color: #0C93CA; box-shadow: 0 0 10px -5px #333; }
div#ajaxProgressBox.redirect { display: block; position: relative; margin: 10px auto; }
div#ajaxTime { font: normal 10px/15px Arial; color: #EC6238; }

/*** CALENDAR ***/
table#xCalendar { margin: 0px; margin-top: -12px; padding: 0px; border-collapse: collapse; border-left: 1px solid #777; border-top: 1px solid #777; position: absolute; }
table#xCalendar td { font: normal 10px verdana; border-right: 1px solid #777; background: #FFF; border-bottom: 1px solid #777; text-align: center; padding: 0; }
table#xCalendar th { height: 26px; font: bold 11px arial; border-right: 1px solid #777; border-bottom: 1px solid #777; text-align: center; padding: 0; color: #FFF; background: url(../images/calendar/calendarHeadBg.gif) repeat-x left top; }
table#xCalendar th.leftlink { border-right: none; line-height: 26px; }
table#xCalendar th.rightlink { line-height: 26px; }
table#xCalendar th.month { border-right: none; }
table#xCalendar th a { line-height: 26px; }
table#xCalendar th a.linkLeft { text-decoration: none; display: block; background: url(../images/calendar/calendarHeadLinkLeft.gif) no-repeat 0px 0px; }
table#xCalendar th a.linkLeft:hover { background: url(../images/calendar/calendarHeadLinkLeft.gif) no-repeat 0px -26px; }
table#xCalendar th a.linkRight { text-decoration: none; display: block; background: url(../images/calendar/calendarHeadLinkRight.gif) no-repeat 0px 0px; }
table#xCalendar th a.linkRight:hover { background: url(../images/calendar/calendarHeadLinkRight.gif) no-repeat 0px -26px; }
table#xCalendar tr.daysHead th { background: #555; line-height: 14px; padding: 0px; }
table#xCalendar td.day { background: url(../images/calendar/calendarDay.gif); }
table#xCalendar td.saturday { background: url(../images/calendar/calendarDaySaturday.gif); }
table#xCalendar td.sunday { background: url(../images/calendar/calendarDaySunday.gif); }
table#xCalendar td.close { }
table#xCalendar td.close a { display: block; font-weight: bold; text-align: center; width: 100%; background: #EEE; }
table#xCalendar td.close a:hover { background: #AC0000; color: #FFF; }
table#xCalendar td a { background: url(../images/calendar/calendarDayLink.gif) no-repeat 0px 0px; text-decoration: none; display: block; width: 20px; height: 21px; line-height: 21px; color: #000; }
table#xCalendar td a:hover { background: url(../images/calendar/calendarDayLink.gif) no-repeat 0px -21px; color: #FFF; font-weight: bold; }
table#xCalendar td a.notactive { color: #CCC; background: none; cursor: default; }
table#xCalendar td a.notactive:hover { color: #CCC; background: none; }
table#xCalendar td a.today { background: url(../images/calendar/calendarDayLinkToday.gif) no-repeat 0px 0px; }
table#xCalendar td a.today:hover { background: url(../images/calendar/calendarDayLinkToday.gif) no-repeat 0px -21px; color: #FFF; font-weight: bold; }
table#xCalendar td a.todaynotactive { background: url(../images/calendar/calendarDayLinkToday.gif) no-repeat 0px 0px; color: #CCC; cursor: default; }
table#xCalendar td a.todaynotactive:hover { background: url(../images/calendar/calendarDayLinkToday.gif) no-repeat 0px 0px; color: #CCC; font-weight: bold; }

/*** SLIMBOX ***/
#lbOverlay {position: fixed; z-index: 9999; left: 0; top: 0; width: 100%; height: 100%; background-color: #000; cursor: pointer; }
#lbCenter, #lbBottomContainer { position: absolute; z-index: 9999; overflow: hidden; background-color: #fff; }
.lbLoading { background: #fff url(../images/slimbox/loading.gif) no-repeat center; }
#lbImage { position: absolute; left: 0; top: 0; border: 10px solid #fff; background-repeat: no-repeat; }
#lbPrevLink, #lbNextLink { display: block;  position: absolute;	top: 0; width: 50%; outline: none; }
#lbPrevLink { left: 0; }
#lbPrevLink:hover { background: transparent url(../images/slimbox/prevlabel.gif) no-repeat 0 15%; }
#lbNextLink { right: 0; }
#lbNextLink:hover { background: transparent url(../images/slimbox/nextlabel.gif) no-repeat 100% 15%; }
#lbBottom { font-family: Verdana, Arial, Geneva, Helvetica, sans-serif; font-size: 10px; color: #666; line-height: 1.4em; text-align: left; border: 10px solid #fff; border-top-style: none; }
#lbCloseLink { display: block; float: right; width: 66px; height: 22px; background: transparent url(../images/slimbox/closelabel.gif) no-repeat center; margin: 5px 0; outline: none; }
#lbCaption, #lbNumber { margin-right: 71px; }
#lbCaption { font-weight: bold; }

/*** xrootBOX ***/
div.xrootBoxOverlay { position: absolute; display: none; left: 0; top: 0; width: 100%; cursor: pointer; background: #000; }
div.xrootBox { position: fixed; border: 1px solid #FFF; background: #FFF; display: none; box-shadow: 4px 4px 4px #000; border-radius: 10px; -moz-border-radius: 10px; -khtml-border-radius: 10px; -webkit-border-radius: 10px; }
div.xrootBoxContent { position: relative; padding: 0; overflow-y: auto; }
div.xrootBoxClose { position: absolute; right: -15px; top: -15px; cursor: pointer; text-align: center; line-height: 25px; color: #FFF; width: 26px; height: 26px; border: 1px solid #FFF; box-shadow: 4px 4px 4px #000; background: #AC0000; border-radius: 15px; -moz-border-radius: 15px; -khtml-border-radius: 15px; -webkit-border-radius: 15px; }
div.xrootBoxClose:hover { background: #000; }
iframe.xrootIframe { position: relative; padding: 0; margin: 0; border: none; scroll: auto; }

/*** DEBUG ***/
#xDebug { position: fixed; z-index: 99999; bottom: -385px; background: #AC0000; font: normal 12px arial; right: 0px; width: 150px; color: #FFF; border-top: 1px solid #000; border-left: 1px solid #000; height: 400px; margin: 0; padding: 5px; padding-right: 20px; white-space: nowrap; overflow: hide; cursor: pointer; }
#xDebug.on { bottom: 0px; overflow: auto; width: 99%; left: 0; }
